BSTRING(3)

NAME
memccpy, memchr, memcmp, memcpy, memmem, memmove, memset - byte string operations

LIBRARY
libc

SYNOPSIS
#include <string.h>
void *
memchr(const void *b, int c, size_t len);
int
memcmp(const void *b1, const void *b2, size_t len);
void *
memccpy(void *dst, const void *src, int c, size_t len);
void *
memcpy(void *dst, const void *src, size_t len);
void *
memmem(const void *block, size_t blen, const void *pat, size_t plen);
void *
memmove(void *dst, const void *src, size_t len);
void *
memset(void *b, int c, size_t len);

DESCRIPTION
These functions operate on variable length strings of bytes. They do not check for terminating nul bytes as the routines listed in string(3) do.

See the specific manual pages for more information.

SEE ALSO
memccpy(3), memchr(3), memcmp(3), memcpy(3), memmem(3), memmove(3), memset(3)

STANDARDS
The functions memchr(), memcmp(), memcpy(), memmove(), and memset() conform to ansiC.

HISTORY
The function memccpy() appeared in 4.3BSD.